%define upstream_name    Plack-Middleware-Negotiate
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Apply HTTP content negotiation as Plack middleware
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Negotiate)
BuildRequires: perl(HTTP::Request::Common)
BuildRequires: perl(Log::Contextual)
BuildRequires: perl(Log::Contextual::WarnLogger)
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Request)
BuildRequires: perl(Plack::Test)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Plack::Middleware::Negotiate applies HTTP content negotiation to a the PSGI
manpage request. The PSGI environment key 'negotiate.format' is set to the
chosen format name. In addition to normal content negotiation one may
enable explicit format selection with a path extension or query parameter.
The middleware takes care for rewriting and restoring PATH_INFO if it is
configured to detect and strip a format extension. The PSGI response is
enriched with corresponding HTTP headers Content-Type and Content-Language
unless these headers already exist.

If used as pure application, this middleware returns a HTTP status code 406
if no format could be negotiated.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 371859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 306214
- update to 0.05

* Wed Oct 10 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 304320
- imported package perl-Plack-Middleware-Negotiate

